> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developers.brevo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.brevo.com/_mcp/server.

# Get Reward Page API

GET https://api.brevo.com/v3/loyalty/offer/programs/{pid}/offers

Returns a reward page

Reference: https://developers.brevo.com/reference/get-reward-page-api

## Authentication

- `api-key` header (required) — The API key should be passed in the request headers as `api-key` for authentication.

## Request

### Path parameters

- `pid` (string, required) — Loyalty Program ID

### Query parameters

- `limit` (integer, optional, default: 25) — Page size
- `offset` (integer, optional, default: 0) — Pagination offset
- `state` (string, optional, default: all) — State of the reward
- `version` (enum, optional, default: draft) — Version
  - Allowed values: `active`, `draft`

## Response

### 200

Reward list successfully retrieved

- `items` (list of object, optional) — Items for the current reward
  - `createdAt` (datetime, optional) — Timestamp for when this reward was created
  - `endDate` (datetime, optional) — Timestamp for when this reward attribution ended
  - `id` (string, optional) — Unique identifier for the reward
  - `loyaltyProgramId` (string, optional) — Loyalty Program to which current reward is associated
  - `name` (string, optional) — Name of the reward
  - `publicImage` (string, optional) — Public image of the reward
  - `startDate` (datetime, optional) — Timestamp for when this reward attribution started
  - `state` (string, optional) — State of the reward
  - `updatedAt` (datetime, optional) — Timestamp for when this reward attribution was updated
- `totalCount` (integer, optional) — Count of the associated parameter in current reward

## Errors

### 401 Unauthorized Error

Request Authentication Failed

- `message` (string, required) — Readable message associated to the failure
- `code` (string, optional) — Error code displayed in case of a failure

### 403 Forbidden Error

Cannot Authenticate Request

- `message` (string, required) — Readable message associated to the failure
- `code` (string, optional) — Error code displayed in case of a failure

### 404 Not Found Error

Not Found

- `message` (string, required) — Readable message associated to the failure
- `code` (string, optional) — Error code displayed in case of a failure

### 422 Unprocessable Entity Error

Validation errors

- `message` (string, required) — Readable message associated to the failure
- `code` (string, optional) — Error code displayed in case of a failure

### 424 Failed Dependency Error

Failed Dependency

- `message` (string, required) — Readable message associated to the failure
- `code` (string, optional) — Error code displayed in case of a failure

### 500 Internal Server Error

Internal error occurred

- `message` (string, required) — Readable message associated to the failure
- `code` (string, optional) — Error code displayed in case of a failure

## Examples

**Response**

```json
{
  "items": [
    {
      "createdAt": "2024-01-15T09:30:00Z",
      "endDate": "2024-01-15T09:30:00Z",
      "id": "string",
      "loyaltyProgramId": "string",
      "name": "string",
      "publicImage": "string",
      "startDate": "2024-01-15T09:30:00Z",
      "state": "string",
      "updatedAt": "2024-01-15T09:30:00Z"
    }
  ],
  "totalCount": 1
}
```

**SDK Code**

```typescript
import { BrevoClient } from "@getbrevo/brevo";

async function main() {
    const client = new BrevoClient({
        apiKey: "YOUR_API_KEY_HERE",
    });
    await client.reward.getRewardPageApi({
        pid: "pid",
    });
}
main();

```

```python
from brevo import Brevo

client = Brevo(
    api_key="YOUR_API_KEY_HERE",
)

client.reward.get_reward_page_api(
    pid="pid",
)

```

```php
<?php

namespace Example;

use Brevo\Brevo;
use Brevo\Reward\Requests\GetLoyaltyOfferProgramsPidOffersRequest;

$client = new Brevo(
    apiKey: 'YOUR_API_KEY_HERE',
);
$client->reward->getRewardPageApi(
    'pid',
    new GetLoyaltyOfferProgramsPidOffersRequest([]),
);

```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.brevo.com/v3/loyalty/offer/programs/pid/offers"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.brevo.com/v3/loyalty/offer/programs/pid/offers")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.brevo.com/v3/loyalty/offer/programs/pid/offers")
  .header("api-key", "<apiKey>")
  .asString();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.brevo.com/v3/loyalty/offer/programs/pid/offers");
var request = new RestRequest(Method.GET);
request.AddHeader("api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.brevo.com/v3/loyalty/offer/programs/pid/offers")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```